libxml++2.6-dev_2.36.0-2.1_amd64.deb


Advertisement

Description

libxml++2.6-dev - C++ interface to the GNOME XML library (libxml2)

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libxml++2.6-dev
Package version: 2.36.0
Package release: 2.1
Package architecture: amd64
Package type: deb
Installed size: 614 B
Download size: 112.35 KB
Official Mirror: ftp.br.debian.org
Libxml++ is a C++ wrapper for the libxml2 XML parser library (otherwise known as the GNOME XML library). It has SAX and DOM-like APIs, but does not attempt to conform exactly to the DOM specification because they are not aimed at C++. Its API is much simpler than the underlying libxml C API. This package contains development files.

Alternatives

    Download

    Source package: libxml++2.6

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libxml++2.6-dev deb package:
      # sudo apt-get install libxml++2.6-dev

    Files

    • /usr/include/libxml++-2.6/libxml++/attribute.h
    • /usr/include/libxml++-2.6/libxml++/attributedeclaration.h
    • /usr/include/libxml++-2.6/libxml++/attributenode.h
    • /usr/include/libxml++-2.6/libxml++/document.h
    • /usr/include/libxml++-2.6/libxml++/dtd.h
    • /usr/include/libxml++-2.6/libxml++/keepblanks.h
    • /usr/include/libxml++-2.6/libxml++/libxml++.h
    • /usr/include/libxml++-2.6/libxml++/noncopyable.h
    • /usr/include/libxml++-2.6/libxml++/schema.h
    • /usr/include/libxml++-2.6/libxml++/exceptions/exception.h
    • /usr/include/libxml++-2.6/libxml++/exceptions/internal_error.h
    • /usr/include/libxml++-2.6/libxml++/exceptions/parse_error.h
    • /usr/include/libxml++-2.6/libxml++/exceptions/validity_error.h
    • /usr/include/libxml++-2.6/libxml++/io/istreamparserinputbuffer.h
    • /usr/include/libxml++-2.6/libxml++/io/ostreamoutputbuffer.h
    • /usr/include/libxml++-2.6/libxml++/io/outputbuffer.h
    • /usr/include/libxml++-2.6/libxml++/io/parserinputbuffer.h
    • /usr/include/libxml++-2.6/libxml++/nodes/cdatanode.h
    • /usr/include/libxml++-2.6/libxml++/nodes/commentnode.h
    • /usr/include/libxml++-2.6/libxml++/nodes/contentnode.h
    • /usr/include/libxml++-2.6/libxml++/nodes/element.h
    • /usr/include/libxml++-2.6/libxml++/nodes/entitydeclaration.h
    • /usr/include/libxml++-2.6/libxml++/nodes/entityreference.h
    • /usr/include/libxml++-2.6/libxml++/nodes/node.h
    • /usr/include/libxml++-2.6/libxml++/nodes/processinginstructionnode.h
    • /usr/include/libxml++-2.6/libxml++/nodes/textnode.h
    • /usr/include/libxml++-2.6/libxml++/nodes/xincludeend.h
    • /usr/include/libxml++-2.6/libxml++/nodes/xincludestart.h
    • /usr/include/libxml++-2.6/libxml++/parsers/domparser.h
    • /usr/include/libxml++-2.6/libxml++/parsers/parser.h
    • /usr/include/libxml++-2.6/libxml++/parsers/saxparser.h
    • /usr/include/libxml++-2.6/libxml++/parsers/textreader.h
    • /usr/include/libxml++-2.6/libxml++/validators/dtdvalidator.h
    • /usr/include/libxml++-2.6/libxml++/validators/schemavalidator.h
    • /usr/include/libxml++-2.6/libxml++/validators/validator.h
    • /usr/lib/libxml++-2.6.a
    • /usr/lib/libxml++-2.6.so
    • /usr/lib/libxml++-2.6/include/libxml++config.h
    • /usr/lib/pkgconfig/libxml++-2.6.pc
    • /usr/share/doc/libxml++2.6-dev/AUTHORS
    • /usr/share/doc/libxml++2.6-dev/NEWS.gz
    • /usr/share/doc/libxml++2.6-dev/README
    • /usr/share/doc/libxml++2.6-dev/changelog.Debian.gz
    • /usr/share/doc/libxml++2.6-dev/changelog.gz
    • /usr/share/doc/libxml++2.6-dev/copyright

    Changelog

    2014-08-29 - Andreas Barth <aba@ayous.org> libxml++2.6 (2.36.0-2.1) unstable; urgency=low [ Fernando Seiti Furusato] * Non-maintainer upload. * Adding autoreconf to the build. Forcing to use automake-1.11 due to compatibility issues. Closes: #755744

    2013-06-13 - Michael Biebl <biebl@debian.org> libxml++2.6 (2.36.0-2) unstable; urgency=low * Don't rely on LC_ALL being already set and explicitly export it.

    2013-06-13 - Michael Biebl <biebl@debian.org> libxml++2.6 (2.36.0-1) unstable; urgency=low [ Josselin Mouette ] * From Ubuntu: + debian/rules: run make check as a sanity check. Closes: #692160. [ Michael Biebl ] * New upstream release. * Drop obsolete DM-Upload-Allowed field. * Bump required versions of libxml2-dev to (>= 2.7.3) and libglibmm-2.4-dev to (>= 2.32.0). * Update debian/copyright according to the copyright-format 1.0 spec. * Bump Standards-Version to 3.9.4. No further changes. * Bump shlibs version to 2.36.0. * Add Build-Depends on autotools-dev as lintian was complaining about outdated config.{guess,sub}. * Use UTF-8 locale as the test-suite currently fails otherwise.

    2012-02-06 - Michael Biebl <biebl@debian.org> libxml++2.6 (2.34.2-1) unstable; urgency=low * New upstream release. * debian/watch: Track .xz tarballs. * Bump debhelper compatibility level to 8. * Stop installing libtool .la files. * Bump shlibs version to 2.34.2 due to new API additions.

    2011-04-24 - Deng Xiyue <manphiz-guest@users.alioth.debian.org> libxml++2.6 (2.34.1-1) unstable; urgency=low * New upstream bugfix release. + Loosen mm-common requirement to >= 0.9.3 as per configure.ac. * Update Standards-Version to 3.9.2. No change needed.

    2011-04-17 - Deng Xiyue <manphiz-guest@users.alioth.debian.org> libxml++2.6 (2.34.0-1) unstable; urgency=low * New upstream bugfix release. + Add mm-common (>= 0.9.5) as build-dep. * Convert to source format 3.0 (quilt): + debian/rules: + Drop simple-patchsys.mk. + Drop check-dist.mk. * debian/watch: + Fix RegEx. + Track *.tar.bz2 instead of *.tar.gz * debian/control.in: + Fix lintian warning: description-synopsis-starts-with-article.

    2011-01-06 - Deng Xiyue <manphiz-guest@users.alioth.debian.org> libxml++2.6 (2.33.1-1) experimental; urgency=low [ Sebastian Dröge ] * New upstream bugfix release. [ Emilio Pozuelo Monfort ] * debian/control.in, debian/rules: + Remove the chrpath hack, it's been fixed in libtool. [ Deng Xiyue ] * New upstream development release. (Closes: #605773) + Bump SHVER to 2.33.1 due to new symbol. + Don't clean the examples during install, it's now in different structures. * Change doc-base paths for new structure. * Drop manual doc-base, not exist anymore. * Update Standard-Version to 3.9.1. * Include check-dist.mk to prevent uploading to wrong place.

    2010-04-09 - Sebastian Dröge <slomo@debian.org> libxml++2.6 (2.30.0-1) unstable; urgency=low * New upstream stable release.

    2009-10-25 - Deng Xiyue <manphiz-guest@users.alioth.debian.org> libxml++2.6 (2.26.1-1) unstable; urgency=low [ Josselin Mouette ] * Include clean-la.mk rule. [ Deng Xiyue ] * New upstream release. * Update Standard-Version to 3.8.3. No changes needed.

    2009-05-29 - Deng Xiyue <manphiz-guest@users.alioth.debian.org> libxml++2.6 (2.26.0-2) unstable; urgency=low * Mark libxml++2.6-2 Breaks: gnote (<< 0.4) due to ABI change. See upstream bug report for detail: http://bugzilla.gnome.org/show_bug.cgi?id=583825

    Advertisement
    Advertisement